import request from '@/utils/request'

// 查询分系统信息管理列表
export function listSubsystem(query) {
  return request({
    url: '/system/subsystem/list',
    method: 'get',
    params: query
  })
}

// 查询分系统信息管理详细
export function getSubsystem(id) {
  return request({
    url: '/system/subsystem/' + id,
    method: 'get'
  })
}

// 新增分系统信息管理
export function addSubsystem(data) {
  return request({
    url: '/system/subsystem',
    method: 'post',
    data: data
  })
}

// 修改分系统信息管理
export function updateSubsystem(data) {
  return request({
    url: '/system/subsystem',
    method: 'put',
    data: data
  })
}

// 删除分系统信息管理
export function delSubsystem(id) {
  return request({
    url: '/system/subsystem/' + id,
    method: 'delete'
  })
}
